baseURL = "/"
languageCode = "en"
defaultContentLanguage = "en"
title = "My digital brain"
preserveTaxonomyNames = true
enableRobotsTXT = true
enableEmoji = true
theme = "clean-even"
enableGitInfo = false

# Syntax highlighting by Chroma. NOTE: Don't enable `highlightInClient` and `chroma` at the same time!
pygmentsOptions = "linenos=table"
pygmentsCodefences = true
pygmentsUseClasses = true
pygmentsCodefencesGuessSyntax = true

hasCJKLanguage = false
paginate = 5
copyright = ""

[author]
name = "Thomas Dehaeze"

[sitemap]
changefreq = "weekly"
priority = 0.5
filename = "sitemap.xml"

[[menu.main]]
name = "Home"
weight = 10
identifier = "home"
url = "/"

[[menu.main]]
name = "Zettels"
weight = 30
identifier = "zettels"
url = "/zettels/"

[[menu.main]]
name = "Bibliography"
weight = 50
identifier = "bibliography"
url = "/bibliography/"

[[menu.main]]
name = "Search"
weight = 70
identifier = "search"
url = "/search/"

[outputs]
  home = ["HTML", "RSS", "JSON"]

[params]
version = "4.x"
debug = false

since = "2020"
gitRepo = ""

logoTitle = "Digital Brain"
keywords = ["org-roam","research"]
description = "My personnal digital brain"

archivePaginate = 5

# show 'xx Posts In Total' in archive page ?
showArchiveCount = false

# The date format to use; for a list of valid formats, see https://gohugo.io/functions/format/
dateFormatToUse = "2006-01-02"

# show word count and read time ?
moreMeta = false

# Syntax highlighting by highlight.js
highlightInClient = false

toc = true
autoCollapseToc = true

# mathjax
mathjax = true
mathjaxEnableSingleDollar = true
mathjaxEnableAutoNumber = true
mathjaxUseLocalFiles = false # You should install mathjax in `your-site/static/lib/mathjax`

# search
search = true

postMetaInFooter = false
linkToMarkDown = false
contentCopyright = ''

# Link custom CSS and JS assets
#   (relative to /static/css and /static/js respectively)
customCSS = []
customJS = []

uglyURLs = false

# load these files from public cdn
[params.publicCDN]
enable = true
jquery = '<script src="https://cdn.jsdelivr.net/npm/jquery@3.2.1/dist/jquery.min.js" integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>'
slideout = '<script src="https://cdn.jsdelivr.net/npm/slideout@1.0.1/dist/slideout.min.js" integrity="sha256-t+zJ/g8/KXIJMjSVQdnibt4dlaDxc9zXr/9oNPeWqdg=" crossorigin="anonymous"></script>'
timeagoJS = '<script src="https://cdn.jsdelivr.net/npm/timeago.js@3.0.2/dist/timeago.min.js" integrity="sha256-jwCP0NAdCBloaIWTWHmW4i3snUNMHUNO+jr9rYd2iOI=" crossorigin="anonymous"></script>'
timeagoLocalesJS = '<script src="https://cdn.jsdelivr.net/npm/timeago.js@3.0.2/dist/timeago.locales.min.js" integrity="sha256-ZwofwC1Lf/faQCzN7nZtfijVV6hSwxjQMwXL4gn9qU8=" crossorigin="anonymous"></script>'

# Display a message at the beginning of an article to warn the readers that it's content may be outdated.
[params.outdatedInfoWarning]
enable = false
hint = 30
warn = 180

[params.gitment]          # Gitment is a comment system based on GitHub issues. see https://github.com/imsun/gitment
owner = ""              # Your GitHub ID
repo = ""               # The repo to store comments
clientId = ""           # Your client ID
clientSecret = ""       # Your client secret

[params.utterances]       # https://utteranc.es/
owner = ""              # Your GitHub ID
repo = ""               # The repo to store comments

[params.gitalk]           # Gitalk is a comment system based on GitHub issues. see https://github.com/gitalk/gitalk
owner = ""              # Your GitHub ID
repo = ""               # The repo to store comments
clientId = ""           # Your client ID
clientSecret = ""       # Your client secret

[params.valine]
enable = false

[params.busuanzi]
enable = false

[params.social]
a-email = "mailto:dehaeze.thomas@gmail.com"
g-github = "https://github.com/tdehaeze/"

# See https://gohugo.io/about/hugo-and-gdpr/
[privacy]
[privacy.googleAnalytics]
anonymizeIP = true
[privacy.youtube]
privacyEnhanced = true

[markup]
  defaultMarkdownHandler = "goldmark"
  [markup.goldmark]
    [markup.goldmark.renderer]
      unsafe = true
